%global foundryname  ctan
%global fontpkg      kerkis
%global fontname     %{foundryname}-%{fontpkg}
%global fontconf     64-%{fontname}
%global ctan_date    20090115
%global texfonts     %{_texmf_main}/fonts
%global texfontpath  %{fontpkg}

# Common description
%global common_desc Kerkis type 1 fonts for LaTeX.  These fonts are particularly useful \
for typesetting Greek. The Greek repertoire includes full support for \
polytonic Greek, Greek numerals, and double forms of several letters \
that occur in variant forms.


Name:           ctan-kerkis-fonts
Version:        2.0
Release:        23%{?dist}
Summary:        Kerkis Type 1 fonts
Group:          Applications/Publishing
License:        LPPL
URL:            http://www.ctan.org/tex-archive/help/Catalogue/entries/kerkis.html
Source0:        kerkis-%{ctan_date}.zip
# upstream source - unversioned zip file
# ftp://tug.ctan.org/pub/tex-archive/fonts/greek/kerkis.zip
Source1:        %{fontname}-fontconfig.tar.gz
# Tarball of fontconfig files for each font
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  fontpackages-devel texlive-texmf
%description
%{common_desc}


%package common
Summary:  Kerkis Type 1 fonts, common files (documentation…)
Group:    User Interface/X
Requires: fontpackages-filesystem
%description common
%common_desc
This package consists of files used by other %{fontname} packages.


%global seriffonts %{fontname}-serif-fonts
%package -n %{seriffonts}
Summary:  Kerkis serif Type1 fonts
Group:    User Interface/X
Requires:  %{name}-common = %{version}-%{release}
%description -n %{seriffonts}
%{common_desc}
This package contains the Kerkis font family. It is based on the URW Bookman
font and extends it with Greek characters and math support.

%_font_pkg -n serif -f %{fontconf}-serif.conf Kerkis.* Kerkis-*Bold.* Kerkis-*Italic.* Kerkis-*SmallCaps*


%global sansfonts %{fontname}-sans-fonts
%package -n %{sansfonts}
Summary:  KerkisSans Type1 fonts
Group:    User Interface/X
Requires:  %{name}-common = %{version}-%{release}
%description -n %{sansfonts}
%{common_desc}
This package contains the KerkisSans font family, based on a free version
of the AvantGardURW Bookman font.

%_font_pkg -n sans -f %{fontconf}-sans.conf KerkisSans* 


%global calligraphicfonts %{fontname}-calligraphic-fonts
%package -n %{calligraphicfonts}
Summary:  Kerkis Calligraphic Type1 fonts
Group:    User Interface/X
Requires:  %{name}-common = %{version}-%{release}
%description -n %{calligraphicfonts}
%{common_desc}
This package contains the Kerkis-Calligraphic font family, a calligraphic font 
family of Kerkis, based on URW Bookman.

%_font_pkg -n calligraphic -f %{fontconf}-calligraphic.conf Kerkis-Calligraphic* ktsy.*


%global texfontpkg tex-kerkis
%package -n %{texfontpkg}
Summary:  Kerkis Type1 fonts, TeX support files
Group:    User Interface/X
Requires: %{seriffonts} = %{version}-%{release}, %{sansfonts} = %{version}-%{release}
Requires: tex(latex)
Provides: tetex-font-kerkis = %{version}-%{release}
Obsoletes: tetex-font-kerkis < 2.0-17

%description -n %{texfontpkg}
%{common_desc}
TeX support files.


%prep
%setup -q -a1 -n %{fontpkg}


%build


%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_texmf_main}/tex/latex/%{fontpkg}
mkdir -p %{buildroot}%{texfonts}/{afm,tfm,type1,vf}/%{texfontpath}
mkdir -p %{buildroot}%{texfonts}/{map,enc}/dvips/%{fontpkg}

install -p -m 644 tex/{*.sty,*.fd} %{buildroot}%{_texmf_main}/tex/latex/%{fontpkg}/
install -p -m 644 tfm/*.tfm %{buildroot}%{texfonts}/tfm/%{texfontpath}/
install -p -m 644 vf/*.vf %{buildroot}%{texfonts}/vf/%{texfontpath}/
install -p -m 644 dvips/*.map %{buildroot}%{texfonts}/map/dvips/%{fontpkg}/
install -p -m 644 dvips/*.enc %{buildroot}%{texfonts}/enc/dvips/%{fontpkg}/

#install .pfb and .afm files in %{_fontdir} as per the fedora font guidelines
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p type1/* %{buildroot}%{_fontdir}
install -m 0644 -p afm/* %{buildroot}%{_fontdir}

pushd %{buildroot}%{_fontdir}
for pfb_file in *.pfb ;  do
    ln -s %{_fontdir}/$pfb_file %{buildroot}%{texfonts}/type1/%{texfontpath}/$pfb_file
done
for afm_file in *.afm ;  do
    ln -s %{_fontdir}/$afm_file %{buildroot}%{texfonts}/afm/%{texfontpath}/$afm_file
done
popd


# fontconfig stuff (see spectemplate-fonts-multi.spec)
install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p fontconfig/%{fontname}-serif.conf \
         %{buildroot}%{_fontconfig_templatedir}/%{fontconf}-serif.conf
install -m 0644 -p fontconfig/%{fontname}-sans.conf \
         %{buildroot}%{_fontconfig_templatedir}/%{fontconf}-sans.conf
install -m 0644 -p fontconfig/%{fontname}-calligraphic.conf \
         %{buildroot}%{_fontconfig_templatedir}/%{fontconf}-calligraphic.conf


for fconf in %{fontconf}-serif.conf \
             %{fontconf}-sans.conf \
             %{fontconf}-calligraphic.conf ; do
  ln -s %{_fontconfig_templatedir}/$fconf \
        %{buildroot}%{_fontconfig_confdir}/$fconf
done



%clean
rm -rf %{buildroot}


%post -n %{texfontpkg}
texhash
conffile="$(texconfig-sys conf | grep updmap.cfg)"
if [ "$1" = "1" ]; then
    updmap-sys --quiet --nohash --cnffile ${conffile} --enable Map %{fontpkg}.map
fi


%postun -n %{texfontpkg}
conffile="$(texconfig-sys conf | grep updmap.cfg)"
if [ "$1" = "0" ]; then
    updmap-sys --quiet --nohash --cnffile ${conffile} --disable %{fontpkg}.map
fi
texhash

%files common
%defattr(0644,root,root,0755)
%doc License.txt README.html
%dir %{_fontdir}


%files -n %{texfontpkg}
%defattr(-,root,root,-)
%{_texmf_main}/tex/latex/%{fontpkg}
%{texfonts}/afm/%{texfontpath}
%{texfonts}/tfm/%{texfontpath}
%{texfonts}/type1/%{texfontpath}
%{texfonts}/vf/%{texfontpath}
%{texfonts}/map/dvips/%{fontpkg}
%{texfonts}/enc/dvips/%{fontpkg}




%changelog

